Bug 191208 - Web Inspector: Network Graphs are missing minimum sizes, might have no graph at all
Summary: Web Inspector: Network Graphs are missing minimum sizes, might have no graph ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: 197220
  Show dependency treegraph
 
Reported: 2018-11-02 14:20 PDT by Joseph Pecoraro
Modified: 2019-04-23 17:31 PDT (History)
5 users (show)

See Also:


Attachments
[IMAGE] Issue (564.21 KB, image/png)
2018-11-02 14:20 PDT, Joseph Pecoraro
no flags Details
[IMAGE] Original Network Tab (446.89 KB, image/png)
2018-11-02 14:20 PDT, Joseph Pecoraro
no flags Details
[IMAGE] Current Network Tab (566.60 KB, image/png)
2018-11-02 14:20 PDT, Joseph Pecoraro
no flags Details
Patch (15.16 KB, patch)
2018-11-12 13:25 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (15.02 KB, patch)
2018-11-14 00:47 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2018-11-02 14:20:22 PDT
Created attachment 353727 [details]
[IMAGE] Issue

Network Graphs are missing minimum sizes, might have no graph at all

Steps to Reproduce:
1. Inspect webkit.org
2. Ensure you're using the network cache
3. Reload the page
  => Some rows are blank, unclear where to click to get resource load timings / details
Comment 1 Joseph Pecoraro 2018-11-02 14:20:41 PDT
Created attachment 353728 [details]
[IMAGE] Original Network Tab
Comment 2 Joseph Pecoraro 2018-11-02 14:20:54 PDT
Created attachment 353729 [details]
[IMAGE] Current Network Tab
Comment 3 Joseph Pecoraro 2018-11-02 14:21:54 PDT
Notice how before, even if the load was 0ms there was still a minimum appearance. That has gone away. I feel this is a regression in the user experience, as you still want to see _when_ the load happened, even if it took effectively no time.
Comment 4 Devin Rousso 2018-11-12 13:25:58 PST
Created attachment 354581 [details]
Patch
Comment 5 Joseph Pecoraro 2018-11-12 15:33:14 PST
Comment on attachment 354581 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=354581&action=review

r=me

> Source/WebInspectorUI/UserInterface/Views/NetworkTableContentView.js:793
> +            if (endTimestamp - startTimestamp < 0)
> +                return null;

When can this happen?
Comment 6 Devin Rousso 2018-11-14 00:47:51 PST
Created attachment 354780 [details]
Patch
Comment 7 WebKit Commit Bot 2018-11-14 01:26:31 PST
Comment on attachment 354780 [details]
Patch

Clearing flags on attachment: 354780

Committed r238168: <https://trac.webkit.org/changeset/238168>
Comment 8 WebKit Commit Bot 2018-11-14 01:26:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-11-14 01:27:27 PST
<rdar://problem/46056899>